import { ScriptLoaderService } from '../../script-loader.service';
import * as i0 from "@angular/core";
declare var NSUtil: any;
export declare abstract class NSBaseComponent {
    protected scriptLoader: ScriptLoaderService;
    private elementRef;
    protected element: HTMLElement;
    protected nsUtil: typeof NSUtil;
    protected arrEvents: string[];
    constructor();
    getElement(): HTMLElement;
    protected initializeScripts(compName: string[]): void;
    protected initializeEvents(arrEvents: string[]): void;
    protected addEvents(): void;
    protected eventListener(event: any, eventName: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NSBaseComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NSBaseComponent, "ns-base", never, {}, {}, never, never, false, never>;
}
export {};
